#include "class.h"

ClassImp(GenTest)
ClassImp(Test)
ClassImp(Truc)

TClonesArray * GenTest::gtca = 0x0;

GenTest::GenTest(unsigned int address)
{
  if( gtca == 0x0 )
    {
      gtca = new TClonesArray("Truc",10);
    }
  tca = gtca;
  Nstat = 0;
  totNstat = 0;
}

GenTest::~GenTest()
{
  cout << "~GenTest()" << endl;
  Clear();
  if( tca != NULL ) {delete gtca; gtca=0;}
}

void GenTest::AddTruc(double a)
{
  TClonesArray &truc = *tca;
  new(truc[Nstat++]) Truc(a);
  totNstat++;
}

void GenTest::Clear()
{
  tca->Clear();
  Nstat = 0;
}

/******** Test *********/

Test::Test() : GenTest()
{
}

Test::~Test()
{
}
