void test()
{

  gSystem->Load("libtest.so");
  TFile * outfile = new TFile( "outfile.root", "RECREATE", "test" );
  TTree * resultP = new TTree( "ResultP", "EAS parameters" );

  Test *pevt = new Test();
  int bufsize = 10000;
  Int_t split = 3;
  resultP->Branch( "PhysEvents", "Test", &pevt, bufsize, split );

  for( int i=0;i<10000;i++ )
    {
      pevt->AddTruc((double)i);
      resultP->Fill();
      pevt->Clear();
    }

  outfile->Write();
  outfile->Print();
  outfile->Map();
  outfile->Close();
}
